[PC-BSD Commits] r1405 - pcbsd/trunk/system-overlay/PCBSD/Services/cpufreq
svn at pcbsd.org
svn at pcbsd.org
Wed Feb 20 07:53:42 PST 2008
Author: tim
Date: 2008-02-20 07:53:41 -0800 (Wed, 20 Feb 2008)
New Revision: 1405
Modified:
pcbsd/trunk/system-overlay/PCBSD/Services/cpufreq/isRunning.sh
Log:
Fixed cpufreq isRunning script to properly detect the status of cpufreq.
Modified: pcbsd/trunk/system-overlay/PCBSD/Services/cpufreq/isRunning.sh
===================================================================
--- pcbsd/trunk/system-overlay/PCBSD/Services/cpufreq/isRunning.sh 2008-02-19 05:26:25 UTC (rev 1404)
+++ pcbsd/trunk/system-overlay/PCBSD/Services/cpufreq/isRunning.sh 2008-02-20 15:53:41 UTC (rev 1405)
@@ -2,9 +2,10 @@
# This script checks if a service is currently running
# Return a "0" if the service is running, or a "1" if it is stopped
-if [ -e "/var/run/sshd.pid" ]
+kldstat -n cpufreq
+if [ "$?" = "0" ]
then
- return 0
+ return 0
else
- return 1
+ return 1
fi
More information about the Commits
mailing list